## GnomeThemeFile

GnomeThemeFile —

## Synopsis

    #include <libgnomeui/libgnomeui.h>

    struct      GnomeThemeFile;
    void        (*GnomeThemeFileSectionFunc)    (GnomeThemeFile *df,
                                                 const char *name,
                                                 gpointer data);
    enum        GnomeThemeFileParseError;
    void        (*GnomeThemeFileLineFunc)       (GnomeThemeFile *df,
                                                 const char *key,
                                                 const char *locale,
                                                 const char *value,
                                                 gpointer data);
    GnomeThemeFile* gnome_theme_file_new_from_string
                                                (char *data,
                                                 GError **error);
    char*       gnome_theme_file_to_string      (GnomeThemeFile *df);
    void        gnome_theme_file_free           (GnomeThemeFile *df);
    void        gnome_theme_file_foreach_section
                                                (GnomeThemeFile *df,
                                                 GnomeThemeFileSectionFunc func,
                                                 gpointer user_data);
    void        gnome_theme_file_foreach_key    (GnomeThemeFile *df,
                                                 const char *section,
                                                 gboolean include_localized,
                                                 GnomeThemeFileLineFunc func,
                                                 gpointer user_data);
    gboolean    gnome_theme_file_get_raw        (GnomeThemeFile *df,
                                                 const char *section,
                                                 const char *keyname,
                                                 const char *locale,
                                                 char **val);
    gboolean    gnome_theme_file_get_integer    (GnomeThemeFile *df,
                                                 const char *section,
                                                 const char *keyname,
                                                 int *val);
    gboolean    gnome_theme_file_get_string     (GnomeThemeFile *df,
                                                 const char *section,
                                                 const char *keyname,
                                                 char **val);
    gboolean    gnome_theme_file_get_locale_string
                                                (GnomeThemeFile *df,
                                                 const char *section,
                                                 const char *keyname,
                                                 char **val);
    #define     GNOME_THEME_FILE_PARSE_ERROR
    GQuark      gnome_theme_file_parse_error_quark
                                                (void);

## Description

## Details

### struct GnomeThemeFile

    struct GnomeThemeFile;

### GnomeThemeFileSectionFunc ()

    void        (*GnomeThemeFileSectionFunc)    (GnomeThemeFile *df,
                                                 const char *name,
                                                 gpointer data);

`df` : |
`name` : |
`data` : |

### enum GnomeThemeFileParseError

    typedef enum
    {
      GNOME_THEME_FILE_PARSE_ERROR_INVALID_SYNTAX,
      GNOME_THEME_FILE_PARSE_ERROR_INVALID_ESCAPES,
      GNOME_THEME_FILE_PARSE_ERROR_INVALID_CHARS
    } GnomeThemeFileParseError;

### GnomeThemeFileLineFunc ()

    void        (*GnomeThemeFileLineFunc)       (GnomeThemeFile *df,
                                                 const char *key,
                                                 const char *locale,
                                                 const char *value,
                                                 gpointer data);

`df` : |
`key` : |
`locale` : |
`value` : |
`data` : |

### gnome_theme_file_new_from_string ()

    GnomeThemeFile* gnome_theme_file_new_from_string
                                                (char *data,
                                                 GError **error);

`data` : |
`error` : |
Returns : |

### gnome_theme_file_to_string ()

    char*       gnome_theme_file_to_string      (GnomeThemeFile *df);

`df` : |
Returns : |

### gnome_theme_file_free ()

    void        gnome_theme_file_free           (GnomeThemeFile *df);

`df` : |

### gnome_theme_file_foreach_section ()

    void        gnome_theme_file_foreach_section
                                                (GnomeThemeFile *df,
                                                 GnomeThemeFileSectionFunc func,
                                                 gpointer user_data);

`df` : |
`func` : |
`user_data` : |

### gnome_theme_file_foreach_key ()

    void        gnome_theme_file_foreach_key    (GnomeThemeFile *df,
                                                 const char *section,
                                                 gboolean include_localized,
                                                 GnomeThemeFileLineFunc func,
                                                 gpointer user_data);

`df` : |
`section` : |
`include_localized` : |
`func` : |
`user_data` : |

### gnome_theme_file_get_raw ()

    gboolean    gnome_theme_file_get_raw        (GnomeThemeFile *df,
                                                 const char *section,
                                                 const char *keyname,
                                                 const char *locale,
                                                 char **val);

`df` : |
`section` : |
`keyname` : |
`locale` : |
`val` : |
Returns : |

### gnome_theme_file_get_integer ()

    gboolean    gnome_theme_file_get_integer    (GnomeThemeFile *df,
                                                 const char *section,
                                                 const char *keyname,
                                                 int *val);

`df` : |
`section` : |
`keyname` : |
`val` : |
Returns : |

### gnome_theme_file_get_string ()

    gboolean    gnome_theme_file_get_string     (GnomeThemeFile *df,
                                                 const char *section,
                                                 const char *keyname,
                                                 char **val);

`df` : |
`section` : |
`keyname` : |
`val` : |
Returns : |

### gnome_theme_file_get_locale_string ()

    gboolean    gnome_theme_file_get_locale_string
                                                (GnomeThemeFile *df,
                                                 const char *section,
                                                 const char *keyname,
                                                 char **val);

`df` : |
`section` : |
`keyname` : |
`val` : |
Returns : |

### GNOME_THEME_FILE_PARSE_ERROR

    #define GNOME_THEME_FILE_PARSE_ERROR gnome_theme_file_parse_error_quark()

### gnome_theme_file_parse_error_quark ()

    GQuark      gnome_theme_file_parse_error_quark
                                                (void);

Returns : |